summaryrefslogtreecommitdiffstats
path: root/libraries/libAfterImage
diff options
context:
space:
mode:
author Dugan Chen2010-05-11 20:00:49 +0200
committer Robby Workman2010-05-11 20:00:49 +0200
commit293b30c6bd0688330275ac8eae785bb695a9f41b (patch)
tree0ddd1bed1fa46194f86113f37486a0d3ff8700bf /libraries/libAfterImage
parent08c146e635a504f6554c978864e670033a28aece (diff)
downloadslackbuilds-293b30c6bd0688330275ac8eae785bb695a9f41b.tar.gz
libraries/libAfterImage: Added to 12.0 repository
Diffstat (limited to 'libraries/libAfterImage')
-rw-r--r--libraries/libAfterImage/README7
-rw-r--r--libraries/libAfterImage/libAfterImage.SlackBuild67
-rw-r--r--libraries/libAfterImage/libAfterImage.info8
-rw-r--r--libraries/libAfterImage/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/libraries/libAfterImage/README b/libraries/libAfterImage/README
new file mode 100644
index 0000000000..e3b39c5352
--- /dev/null
+++ b/libraries/libAfterImage/README
@@ -0,0 +1,7 @@
+libAfterImage Imaging Library
+
+This project is an image manipulation library that supports loading, saving,
+displaying and yes, manipulating images. Most popular formats are supported.
+Font capabilities include include TrueType and antialiasing support.
+
+Documentation, examples and tools are included.
diff --git a/libraries/libAfterImage/libAfterImage.SlackBuild b/libraries/libAfterImage/libAfterImage.SlackBuild
new file mode 100644
index 0000000000..48dad25b9f
--- /dev/null
+++ b/libraries/libAfterImage/libAfterImage.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for libAfterImage
+
+# Written by Dugan Chen (dugan_c@fastmail.fm)
+
+PRGNAM=libAfterImage
+VERSION=1.15
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-i18n \
+ --enable-glx \
+ --enable-sharedlibs
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/$PRGNAM/doc/html/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libAfterImage/libAfterImage.info b/libraries/libAfterImage/libAfterImage.info
new file mode 100644
index 0000000000..e24ea5905c
--- /dev/null
+++ b/libraries/libAfterImage/libAfterImage.info
@@ -0,0 +1,8 @@
+PRGNAM="libAfterImage"
+VERSION="1.15"
+HOMEPAGE="http://www.afterstep.org/afterimage/index.php"
+DOWNLOAD="ftp://ftp.afterstep.org/stable/libAfterImage/libAfterImage-1.15.tar.bz2"
+MD5SUM="cac9f813e104f90d63fced6123d54a13"
+MAINTAINER="Dugan Chen"
+EMAIL="dugan_c@fastmail.fm"
+APPROVED="rworkman"
diff --git a/libraries/libAfterImage/slack-desc b/libraries/libAfterImage/slack-desc
new file mode 100644
index 0000000000..4564e0b7e1
--- /dev/null
+++ b/libraries/libAfterImage/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+libAfterImage: libAfterImage (Imaging Library)
+libAfterImage:
+libAfterImage: This project is an image manipulation library that supports
+libAfterImage: loading, saving, displaying and yes, manipulating images.
+libAfterImage: Most popular formats are supported. Font capabilities include
+libAfterImage: TrueType and antialiasing support.
+libAfterImage:
+libAfterImage: Visit the libAfterImage project online:
+libAfterImage: http://software.schmorp.de/pkg/libAfterImage/
+libAfterImage:
+libAfterImage: